> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a segment

> Get a segment

### Path parameters

<ParamField path="id" type="string" required>
  Segment ID
</ParamField>

### Responses

<ResponseField name="200" type="SegmentResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/segments/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "id": "string",
    "member_count": 1,
    "name": "string",
    "segment_type": "string"
  }
  ```
</ResponseExample>
